function OnSceneLoad(screen)
    game_state = {}
    LoadData(screen)
    local pf = play_field
    local level = pf:GetLevelScreen()
    game_state.custom_cursors = {}
    game_state.locked_objects = {}
    game_state.active_objects = {}
	
	play_field:GetObject('impuls'):GetAnimation():SetMode(HGEANIM_FWD + HGEANIM_NOLOOP)
	play_field:GetObject('impuls'):GetAnimation():Stop();
	play_field:GetObject('impuls'):SetOpacity(0)
	play_field:GetObject('cover'):GetAnimation():SetMode(HGEANIM_FWD + HGEANIM_NOLOOP)
	play_field:GetObject('cover'):GetAnimation():Stop();
	play_field:GetObject('cover'):SetOpacity(0)
	--play_field:GetObject('reel_scaled'):SetOpacity(0)
	
    --level:AddTaskSafe(CreateTask('', '', ''))
    level:AddTaskSafe(CreateTask('GLOVE', '', 'glove'));    
	AddRandomTasks(17,
		CreateTask('APPLE', '', 'apple'),
		CreateTask('BELT', '', 'belt'),
		CreateTask('BLINKENLIGHT', '', 'blinkenlight'),
		CreateTask('BOWKNOT', '', 'bowknot'),
		CreateTask('CHERRIES', '', 'cherries'),
		CreateTask('CIGARETTE', '', 'cigarette'),
		CreateTask('CLOTHESPIN', '', 'clothespin'),
		CreateTask('FORK', '', 'fork'),
		CreateTask('HEART', '', 'heart'),
		CreateTask('HOURGLASS', '', 'hourglass'),
		CreateTask('MATCHES', '', 'matches'),
		CreateTask('NAIL', '', 'nail'),
		CreateTask('ONION', '', 'onion'),
		CreateTask('RULER', '', 'ruler'),
		CreateTask('STICK', '', 'stick'),
		CreateTask('SWORD', '', 'sword'),
		CreateTask('TURTLE', '', 'turtle')
	)
	
	--game_state.locked_objects['babina'] = true
	    
	local object = play_field:GetObject('monitor');
	inventory_radar = CreateInventory(object:GetX(),
                                      object:GetY(),
                                      object:GetZ() + 15,
                                      "monitor",
                                      CreateItem('wrench_tool', 'wrench'),
                                      nil,
                                      CreateItem('screwdriver_tool', 'screwdriver'),
                                      play_field:GetTimer(),
									  "INVENTORY_TASK_5_1");
	inventory_radar.state_changer = "OnRadarComplete"
	
	inventory_radar.OnComplete = function()
	    play_field:GetObject('monitor'):ChangeOpacity(1, 0, 0.3)
	    --[[local anim = play_field:GetObject('radar_anim'):GetAnimation()
	    TimerDoString("FunctionDispatcher.Call("..
	                   FunctionDispatcher.AddFunction(CreateTool, 'accumulator', 'accumulator')..
	                   ")",
	                   GetAnimationLength(anim) + 0.3,
	                   game_state.timer)]]
		--[[play_field:GetObject('radar_anim'):GetAnimation():Play();
		play_field:GetObject('radar_anim'):GetAnimation():SetFrame(1)
		play_field:GetObject('radar_anim'):SetOpacity(1)]]
		
		play_field:GetObject('cover'):SetOpacity(1)
		play_field:GetObject('cover'):GetAnimation():Play()
		local sn = CreateSoundEntity('5_OpenRadar');
		sn:AttachTo(play_field)
		sn:Play(false)
		
		RegisterZoomZone(zoom_control_panel, 'control_panel_active_zone')
		inventory_accu.Unlock()
	end

    CreateTool('wrench', 'wrench')
	CreateTool('screwdriver', 'screwdriver')
	
	--[[zoom_vase = CreateZoomZone('zoom_vase_close',
                               'vase_layer',
                               'vase_inside_bak',
                               'babina',
                               'vase',
                               'magnit',
                               'sistema1',
                               'Border',
							   'vase_zoom_active')]]
							   
	--play_field:GetObject('vase_zoom_active'):GetAnimation():SetColor('0x01FFFFFF')

	--zoom_vase.SetOffset(200, 100)
                                   
	--[[local object = play_field:GetObject('vase_inside_bak');
	inventory_reel = CreateInventory(object:GetX(),
                                     object:GetY(),
                                     object:GetZ() + 15,
                                     "vase_zoom_active",
                                     CreateItem('horseshoe_tool', 'horseshoe'),
                                     CreateItem('accumulator_tool', 'accumulator'),
                                     CreateItem('wire_tool', 'wire'),
                                     play_field:GetTimer());
		
	inventory_reel.OnComplete = function()
	   play_field:GetObject('sistema1'):SetVisible(true)
       play_field:GetObject('magnit'):SetVisible(true)
	   game_state.locked_objects['vase_inside_bak'] = true
	   
	   local af = CreateAnimationEffector()
	   local obj = play_field:GetObject('babina')
	   af:AttachTo(obj)
	   af:SetKey(_TRACK_X, 0, 495)
	   af:SetKey(_TRACK_X, 1, 495)
	   af:SetKey(_TRACK_X, 1.2, 502)
	   af:SetKey(_TRACK_Y, 0, 520)
	   af:SetKey(_TRACK_Y, 1, 520)
	   af:SetKey(_TRACK_Y, 1.2, 511)
	   af:SetKey(_TRACK_S, 0, 0.7)
	   af:SetKey(_TRACK_S, 1, 0.7)
	   af:SetKey(_TRACK_S, 1.2, 1)
       af:Play()	   
	   
	   GTimerDoString("play_field:GetObject('magnit'):GetAnimation():Stop()", 1.0)       
       GTimerDoString("game_state.locked_objects['babina'] = false", 1.0)
	   
	   inventory_reel_holder.Unlock()
	end    

    CreateTool('horseshoe', 'horseshoe')
	CreateTool('wire', 'wire')]]
		
	local object = play_field:GetObject('reel_holder');
	inventory_reel_holder = CreateInventory(object:GetX(),
                                            object:GetY(),
                                            object:GetZ() + 15,
                                            "reel_holder",
                                            nil,
                                            CreateItem('reel_tool', 'reel_scaled'),
                                            nil,
                                            play_field:GetTimer(),
											"INVENTORY_TASK_5_2");
    
	inventory_reel_holder.OnComplete = function()        
        game_state.locked_objects['reel_holder'] = true
		play_field:GetObject('displayfinal'):SetVisible(true)
		play_field:GetObject('tvset2'):SetVisible(false)
		play_field:GetObject('reel_small'):ChangeOpacity(0, 1, 1);
        if game_state.all_items_found then
	        TimerDo(play_field:GetTimer(), 2, OnWinConditionsComplete)
	    end
	end
	
	inventory_reel_holder.state_changer = "OnReelHolderComplete"
	
	inventory_reel_holder.OnCompleteImmediate = function()
	    UnregisterZoomZone(zoom_control_panel)
	end

    local t = CreateTool('reel', 'reel_scaled')	
    
    t.OnSet = function()
        zoom_control_panel.SetVisible(false)
        game_state.locker:Release()
    end
    
    t.OnSuccess = function()
        game_state.reel_used = true
    end
    
    t.OnFail = function()
        play_field:ShowParticleLine(GetMouseX(),
                                    GetMouseY(),
                                    play_field:GetObject('control_panel_active_zone'):GetX(),
                                    play_field:GetObject('control_panel_active_zone'):GetY(),
                                    300)        
    end
	
	zoom_control_panel = CreateZoomZone('cp_close',
                               '',
                               'zoom_bak',
                               'accu_active_zone',
                               'horseshoe',
                               'sprait_podkovy',
                               'Border',
                               'reel_over',
							   'wire',
							   'wire_vis',
							   'horseshoe_vis',
							   'reel')
    zoom_control_panel.SetOffsetZ(10000.);
    
	play_field:GetObject('wire_vis'):SetVisible(false)
	play_field:GetObject('horseshoe_vis'):SetVisible(false)
		
	game_state.locker = ReferenceCounter()
    game_state.active_zone = nil
    
    game_state.reel_used = false
    game_state.all_items_found = false
	
	local object = play_field:GetObject('accu_active_zone');
	inventory_accu = CreateInventory(object:GetX(),
                                      object:GetY(),
                                      object:GetZ() + 15,
                                      "accu_active_zone",
                                      CreateItem('wire_tool', 'wire_scaled'),
                                      nil,
                                      CreateItem('horseshoe_tool', 'horseshoe'),
                                      play_field:GetTimer(),
									  "INVENTORY_TASK_5_3");
	inventory_accu.state_changer = "OnAccuComplete"
	inventory_accu.OnComplete = function()
		local obj = play_field:GetObject('horseshoe_vis')
		obj:SetVisible(true)
		--obj:SetOpacity(1)
		local obj = play_field:GetObject('wire_vis')
		obj:SetVisible(true)		
		--obj:SetOpacity(1)
		
		local af = CreateAnimationEffector()
		local obj = play_field:GetObject('reel')
		af:AttachTo(obj)		
		
		local pos = {}
		pos.x = obj:GetX()
		pos.y = obj:GetY()
		
		af:SetKey(_TRACK_X, 0, pos.x)
		af:SetKey(_TRACK_Y, 0, pos.y)
		af:SetKey(_TRACK_X, 0.5, pos.x + 37)
		af:SetKey(_TRACK_Y, 0.5, pos.y + 93)
		af:Play()
		inventory_reel_holder.Unlock()		
		if zoom_control_panel.IsVisible() then
		    PlaySound("5_GetReel")
		end
	end
    
	local t = CreateTool('wire', 'wire_scaled')

	t.OnSuccess = function()			
		play_field:GetObject('wire'):SetOpacity(0)
		zoom_control_panel.RemoveObject('wire')		
	end
	
	local t = CreateTool('horseshoe', 'horseshoe')	
	
	t.OnSuccess = function()			
		play_field:GetObject('horseshoe'):SetOpacity(0)
		zoom_control_panel.RemoveObject('horseshoe')		
	end
	
    --[[play_field:GetObject('sistema1'):SetVisible(false)
    play_field:GetObject('magnit'):SetVisible(false)
	play_field:GetObject('displayfinal'):SetVisible(false)]]
    
    InitChain1(screen);
    InitChain2(screen);
	game_state.chain2.final = true
    
    AddSheriffEyeLogic()
    AddMDEyeLogic()
	
	--inventory_radar.Unlock()
	
	local af = CreateAnimationEffector()
	local obj = play_field:GetObject('turtle1')
	local duration = GetAnimationLength(obj:GetAnimation())
	af:SetMode(_ANIM_LOOP)
	af:SetKey(_TRACK_O, 0, 0)
	af:SetKey(_TRACK_O, duration * 5 - 0.001, 0)
	af:SetKey(_TRACK_O, duration * 5, 1)
	af:SetKey(_TRACK_O, duration * 6, 1)
	af:SetKey(_TRACK_O, duration * 6 + 0.001, 0)
	af:AttachTo(obj)
	af:Play()
	
	local af = CreateAnimationEffector()
	local obj = play_field:GetObject('turtle2')
	local duration = GetAnimationLength(obj:GetAnimation())
	af:SetMode(_ANIM_LOOP)
	af:SetKey(_TRACK_O, 0, 0)
	af:SetKey(_TRACK_O, duration * 4 - 0.001, 0)
	af:SetKey(_TRACK_O, duration * 4, 1)
	af:SetKey(_TRACK_O, duration * 5, 1)
	af:SetKey(_TRACK_O, duration * 5 + 0.001, 0)
	af:AttachTo(obj)
	af:Play()
	
	--inventory_accu.Unlock()
	
	
	play_field:GetObject('reel_small'):SetOpacity(0)
	game_state.meta_object = 'cigar5'
	
	game_state.OnRadarComplete = function()
		play_field:GetObject('monitor'):SetOpacity(0)
		
		play_field:GetObject('cover'):SetOpacity(1)
		local anim = play_field:GetObject('cover'):GetAnimation()
		anim:SetFrame(anim:GetFrames() - 1)
		
		RegisterZoomZone(zoom_control_panel, 'control_panel_active_zone')
		inventory_accu.Unlock()
	end
	
	game_state.OnReelHolderComplete = function()
		game_state.locked_objects['reel_holder'] = true
		play_field:GetObject('displayfinal'):SetVisible(true)
		play_field:GetObject('tvset2'):SetVisible(false)
		play_field:GetObject('reel_small'):SetOpacity(1)
        if game_state.all_items_found then
	        TimerDo(play_field:GetTimer(), 2, OnWinConditionsComplete)
	    end
	end
	
	game_state.OnAccuComplete = function()
		local obj = play_field:GetObject('horseshoe_vis')
		obj:SetVisible(true)		
		local obj = play_field:GetObject('wire_vis')
		obj:SetVisible(true)				
		
		if play_field:HasObject('reel') then
			local obj = play_field:GetObject('reel')				
			local pos = {}
			pos.x = obj:GetX()
			pos.y = obj:GetY()		
			obj:SetXY(pos.x + 37, pos.y + 93)
		end
		inventory_reel_holder.Unlock()
	end
end

function InitChain1(screen)
    local comics1 = CreateComics(screen,
                                 'Sheriff',
                                 'eyes')
                                 
     local comics2 = CreateComics(screen,
                                 'Museum_director',
                                 'eye_md')
                                 
    local comics3 = CreateComics(screen,
                                 'Sheriff',
                                 'eyes')
                                 
    local comics4 = CreateComics(screen,
                                 'Museum_director',
                                 'eye_md')
                                 
    local comics5 = CreateComics(screen,                                 
                                 'Sheriff',
                                 'eyes')
        
    game_state.chain1 = CreateChain('pixel1',
                                    screen,
                                    comics1, GetString("COMICS_5_1"),
                                    comics2, GetString("COMICS_5_2"),
                                    comics3, GetString("COMICS_5_3"),
                                    comics4, GetString("COMICS_5_4"),
                                    comics5, GetString("COMICS_5_5"))
end

function InitChain2(screen)
    local comics1 = CreateComics(screen,
                                 'Sheriff',
                                 'eyes')
                                 
    comics1.OnHidden = function()
	    OnWin()
	end

    game_state.chain2 = CreateChain('pixel2',
                                    screen,
                                    comics1, GetString("COMICS_5_6"))    
end

function OnScreenShown()
    OnSceneStateChanged(play_field)
    inventory_radar.Unlock()
end

function OnSceneFree()
    FreeData()
end

function OnUpdate(dt)
end

function OnNotebookClosed()
    if game_state.reel_used then
	    OnWinConditionsComplete()
	end
	game_state.all_items_found = true
end

function OnNotebookOpened()
end


function OnWinConditionsComplete()
    if not game_state.chain2.started then    
        game_state.chain2.Start()
        game_state.chain2.started = true
    end
end

function OnExit()
end

function OnObjectMouseEnter(object)
    if object:GetName() == 'vase_layer' and 
       play_field:GetToolName() ~= '' and
       not game_state.locked_objects['vase_layer'] and
       not zoom_vase.IsVisible() then
        zoom_vase.SetVisible(true)
        game_state.locker:AddRef()
    end
    DefaultOnObjectMouseEnter(object)
end

function OnObjectMouseLeave(object)
    DefaultOnObjectMouseLeave(object)
end

function OnObjectMouseDown(object)
    obj_name = object:GetName()
    local pf = play_field
    local is_wrong_click = true
	
    is_wrong_click = DefaultOnObjectMouseDown(object, play_field)

    if is_wrong_click then
        --pf:ShowWrongObjectEffect()
    end
    
    return is_wrong_click;    
end

function OnObjectMouseUp(object)
end

function OnObjectWillBeFound(object)
    if object:GetName() == 'babina' then
        zoom_vase.SetVisible(false)
		game_state.locker:Release()
        game_state.locked_objects['vase_layer'] = true
    end
    if object:GetName() == 'glove' then
        --game_state.comics_sheriff.SetVisible(true)
        game_state.chain1.Start()
    end
end

function OnObjectWasFound(object)
end

function OnToolFound(tool)
end

function OnToolApply(tool, object)
    DefaultOnToolApply(tool, object)    
end

function OnObjectReachPanel(object)
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
    if title == 'zoom_vase_close' then        
        inventory_reel.Hide(false);        
    end
    if title == 'cp_close' then
        inventory_accu.Hide(false)
		StopSound('05_Reel') 
    end	
end

function OnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
end

function CanBeHinted(obj)
    if locked_object[obj] ~= true then
        return true
    else
        return false
    end
end

function OnLostFocus()
end

function OnGainFocus()
end

function OnMinigameCompleted()
end

-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Scenes/5_ guard_room_2/Layers/bg.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg',anim,512,384,80,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ guard_room_2/Animations/tvset.dds',0,0,93,76,2,10)
	anim:SetHotSpot(47,38)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('tvset',anim,804,259,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ guard_room_2/Animations/tvset2.dds',0,0,106,88,86,10)
	anim:SetHotSpot(53,44)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('tvset2',anim,611,240,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ guard_room_2/Animations/tvset3.dds',0,0,100,75,48,10)
	anim:SetHotSpot(50,38)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('tvset3',anim,468,250,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Comics/Sheriff.dds',0,0,532,636,1,0)
	anim:SetHotSpot(266,256)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('Sheriff',anim,734,390,200,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel',anim,512,384,401,0,128,96)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel1',anim,512,384,401,0,128,96)
	local anim = CreateAnimation('data/Texture/Comics/Museum_director.dds',0,0,504,756,1,0)
	anim:SetHotSpot(252,378)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('Museum_director',anim,454,397,200,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel2',anim,512,384,401,0,128,96)
	local anim = CreateAnimation('data/Texture/Comics/eyes.png',0,0,79,33,1,0)
	anim:SetHotSpot(39,16)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('eyes',anim,499,212,500,0,1,1)
	local anim = CreateAnimation('data/Texture/Comics/eye_md.png',0,0,20,21,1,0)
	anim:SetHotSpot(10,10)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('eye_md',anim,506,237,202,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('reel_holder',anim,407,346,140,0,12,9)
	local anim = CreateAnimation('data/Texture/Scenes/5_ guard_room_2/Items/glove.png',0,0,85,50,1,0)
	anim:SetHotSpot(42,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('glove',anim,502,456,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ guard_room_2/Items/screwdriver.png',0,0,76,14,1,0)
	anim:SetHotSpot(38,7)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('screwdriver',anim,727,296,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ guard_room_2/Items/screwdriver.png',0,0,76,14,1,0)
	anim:SetHotSpot(38,7)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('screwdriver_tool',anim,656,489,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ guard_room_2/Items/belt.png',0,0,49,123,1,0)
	anim:SetHotSpot(24,61)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('belt',anim,226,679,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ guard_room_2/Layers/sprait_podzornoy_truby.png',0,0,71,75,1,0)
	anim:SetHotSpot(35,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprait_podzornoy_truby',anim,203,626,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ guard_room_2/Items/bowknot.png',0,0,37,42,1,0)
	anim:SetHotSpot(18,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bowknot',anim,401,750,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ guard_room_2/Items/cherries.png',0,0,37,52,1,0)
	anim:SetHotSpot(18,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('cherries',anim,242,83,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ guard_room_2/Items/clothespin.png',0,0,31,37,1,0)
	anim:SetHotSpot(15,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('clothespin',anim,302,210,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ guard_room_2/Items/fork.png',0,0,33,64,1,0)
	anim:SetHotSpot(16,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('fork',anim,323,717,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ guard_room_2/Items/hourglass.png',0,0,26,50,1,0)
	anim:SetHotSpot(13,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hourglass',anim,572,164,115,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ guard_room_2/Items/lightbulb.png',0,0,60,35,1,0)
	anim:SetHotSpot(30,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('lightbulb',anim,947,81,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ guard_room_2/Items/matches.png',0,0,55,39,1,0)
	anim:SetHotSpot(27,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('matches',anim,729,757,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ guard_room_2/Items/onion.png',0,0,33,42,1,0)
	anim:SetHotSpot(16,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('onion',anim,899,566,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ guard_room_2/Items/ruler.png',0,0,79,31,1,0)
	anim:SetHotSpot(39,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('ruler',anim,815,397,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ guard_room_2/Items/stick.png',0,0,37,133,1,0)
	anim:SetHotSpot(18,66)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('stick',anim,308,382,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ guard_room_2/Items/sword.png',0,0,115,277,1,0)
	anim:SetHotSpot(57,138)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sword',anim,799,556,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ guard_room_2/Layers/sprait_polki.png',0,0,93,24,1,0)
	anim:SetHotSpot(46,12)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprait_polki',anim,943,101,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ guard_room_2/Layers/sprait_stula.png',0,0,30,59,1,0)
	anim:SetHotSpot(15,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprait_stula',anim,552,455,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ guard_room_2/Layers/sprait_vazy_2.png',0,0,87,198,1,0)
	anim:SetHotSpot(43,99)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprait_vazy_2',anim,780,600,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ guard_room_2/Animations/displayfinal.dds',0,0,100,70,70,10)
	anim:SetHotSpot(50,35)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('displayfinal',anim,610,239,99,0,1.15,1.15)
	local anim = CreateAnimation('data/Texture/Scenes/5_ guard_room_2/Animations/turtle2.dds',0,0,332,240,23,8)
	anim:SetHotSpot(166,120)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('turtle2',anim,695,119,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ guard_room_2/Animations/turtle1.dds',0,0,182,222,25,8)
	anim:SetHotSpot(91,111)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('turtle1',anim,778,190,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ guard_room_2/Animations/blick1.png',0,0,99,69,2,10)
	anim:SetHotSpot(49,35)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('blick1',anim,455,330,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ guard_room_2/Animations/blick2.png',0,0,85,92,2,10)
	anim:SetHotSpot(43,46)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('blick2',anim,797,352,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ guard_room_2/Animations/blick3.png',0,0,143,91,2,10)
	anim:SetHotSpot(71,46)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('blick3',anim,622,343,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ guard_room_2/Layers/bottle.png',0,0,16,72,1,0)
	anim:SetHotSpot(8,36)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bottle',anim,468,358,117,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ guard_room_2/Layers/sprait_lampochek.png',0,0,64,30,1,0)
	anim:SetHotSpot(32,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprait_lampochek',anim,393,381,151,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('control_panel_active_zone',anim,656,372,103,0,13,5)
	local anim = CreateAnimation('data/Texture/Scenes/5_ guard_room_2/Animations/impuls.dds',0,0,96,47,12,10)
	anim:SetHotSpot(48,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('impuls',anim,409,347,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ guard_room_2/Animations/cover.dds',0,0,126,147,6,10)
	anim:SetHotSpot(63,74)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('cover',anim,409,313,112,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ guard_room_2/Zoom/zoom_bak.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('zoom_bak',anim,512,384,200,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ guard_room_2/Zoom/accu_active_zone.png',0,0,229,273,1,0)
	anim:SetHotSpot(114,136)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('accu_active_zone',anim,717,460,201,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ guard_room_2/Zoom/horseshoe.png',0,0,92,75,1,0)
	anim:SetHotSpot(46,37)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('horseshoe',anim,379,177,201,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ guard_room_2/Zoom/sprait_podkovy.png',0,0,100,100,1,0)
	anim:SetHotSpot(50,50)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('sprait_podkovy',anim,368,173,204,0,0.63,0.63)
	local anim = CreateAnimation('data/Texture/Scenes/5_ guard_room_2/Zoom/reel_over.png',0,0,135,165,1,0)
	anim:SetHotSpot(67,82)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('reel_over',anim,429,398,205,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ guard_room_2/Zoom/wire.png',0,0,61,59,1,0)
	anim:SetHotSpot(30,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('wire',anim,306,341,201,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ guard_room_2/Zoom/wire_vis.png',0,0,200,215,1,0)
	anim:SetHotSpot(100,107)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('wire_vis',anim,604,450,205,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ guard_room_2/Zoom/horseshoe_vis.png',0,0,84,83,1,0)
	anim:SetHotSpot(42,41)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('horseshoe_vis',anim,522,531,205,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ guard_room_2/Zoom/reel.png',0,0,127,116,1,0)
	anim:SetHotSpot(63,58)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('reel',anim,442,389,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ guard_room_2/Zoom/horseshoe.png',0,0,92,75,1,0)
	anim:SetHotSpot(46,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('horseshoe_tool',anim,512,384,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ guard_room_2/Zoom/reel.png',0,0,127,116,1,0)
	anim:SetHotSpot(63,58)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('reel_tool',anim,837,59,100,0,0.5,0.5)
	local anim = CreateAnimation('data/Texture/Scenes/5_ guard_room_2/Zoom/reel.png',0,0,127,116,1,0)
	anim:SetHotSpot(63,58)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('reel_scaled',anim,495,499,100,0,0.5,0.5)
	local anim = CreateAnimation('data/Texture/Scenes/5_ guard_room_2/Zoom/wire_tool.png',0,0,61,59,1,0)
	anim:SetHotSpot(30,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('wire_tool',anim,512,384,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ guard_room_2/Zoom/wire_tool.png',0,0,61,59,1,0)
	anim:SetHotSpot(30,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('wire_scaled',anim,416,339,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('monitor',anim,406,346,145,0,12,9)
	local anim = CreateAnimation('data/Texture/Scenes/5_ guard_room_2/Items/wrench.png',0,0,100,37,1,0)
	anim:SetHotSpot(50,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('wrench',anim,378,633,100,30,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ guard_room_2/Items/wrench.png',0,0,100,37,1,0)
	anim:SetHotSpot(50,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('wrench_tool',anim,357,535,100,30,0.8,0.8)
	local anim = CreateAnimation('data/Texture/Scenes/5_ guard_room_2/Layers/reel_small.png',0,0,88,58,1,0)
	anim:SetHotSpot(44,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('reel_small',anim,410,353,113,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ guard_room_2/Items/nail.png',0,0,39,17,1,0)
	anim:SetHotSpot(19,8)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('nail',anim,1008,614,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ guard_room_2/Items/apple.png',0,0,28,30,1,0)
	anim:SetHotSpot(14,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('apple',anim,536,283,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ guard_room_2/Items/blinkenlight.png',0,0,35,42,1,0)
	anim:SetHotSpot(17,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('blinkenlight',anim,681,306,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ guard_room_2/Items/heart.png',0,0,53,59,1,0)
	anim:SetHotSpot(26,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('heart',anim,913,290,100,0,0.8,0.8)
	local anim = CreateAnimation('data/Texture/Scenes/5_ guard_room_2/Items/turtle.png',0,0,64,50,1,0)
	anim:SetHotSpot(32,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('turtle',anim,447,603,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/5_ guard_room_2/cigar5.png',0,0,135,98,1,0)
	anim:SetHotSpot(67,49)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('cigar5',anim,963,433,100,0,1,1)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
